# `graphql-paper`

GraphQL Paper provides a stateful way of storing data in an in-memory store based on a GraphQL Schema. For a complete end-to-end mocking experience use GraphQL Paper with [GraphQL Mocks](http://www.graphql-mocks.com).

Features:
* Built and based on GraphQL
* Works in the Browser and Node JS
* Works without `graphql-mocks` with support for the official default GraphQL resolvers
* Support and integration with `graphql-mocks`
* Written in TypeScript
* Support for relationships and connections between types
* Immutable
* Accessible via native js APIs
* Hooks
* Events
* Transaction Operations
* Validations

See the [documentation](http://www.graphql-mocks.com/docs/paper/introducing-paper) for more information.

---

* [GraphQL Mocks](http://www.graphql-mocks.com)
* [API Documentation](http://www.graphql-mocks.com/api/paper/)
* [`graphql-paper` documentation](http://www.graphql-mocks.com/docs/paper/introducing-paper)
* References
  * [Using GraphQL Paper with GraphQL Mocks](http://www.graphql-mocks.com/docs/guides/paper)
  * [Introducing GraphQL Paper](http://www.graphql-mocks.com/docs/paper/introducing-paper) 
  * [Querying Data](http://www.graphql-mocks.com/docs/paper/querying-data) 
  * [Mutating Data](http://www.graphql-mocks.com/docs/paper/mutating-data)
  * [Operations](http://www.graphql-mocks.com/docs/paper/operations)
  * [Events](http://www.graphql-mocks.com/docs/paper/events)
  * [Hooks](http://www.graphql-mocks.com/docs/paper/hooks)
  * [Validations](http://www.graphql-mocks.com/docs/paper/validations)
  * [http://www.graphql-mocks.com/docs/paper/technical-notes](Technical Notes)
  * [Generating Data with Factories](http://www.graphql-mocks.com/docs/paper/guides/factories)
  * [Using GraphQL Paper with GraphQL](http://www.graphql-mocks.com/docs/paper/guides/with-graphql)
  * [Managing IDs](http://www.graphql-mocks.com/docs/paper/guides/managing-ids)
