import { z } from 'zod';
var zodSerializedDocumentSchema = z.object({
  __meta__: z.object({
    DOCUMENT_KEY: z.string(),
    DOCUMENT_CONNECTIONS: z.record(z.string(), z.array(z.string())),
    DOCUMENT_GRAPHQL_TYPENAME: z.string()
  }).strict()
});
var zodSerializedPaperSchema = z.object({
  __meta__: z.object({
    NULL_DOCUMENT_KEY: z.string()
  }),
  store: z.record(z.string(), z.array(zodSerializedDocumentSchema))
}).strict();
function assertValidSerializedPaper(possiblySerializedPaper) {
  try {
    zodSerializedPaperSchema.parse(possiblySerializedPaper);
  } catch (originalError) {
    var error = new Error('SerializedPaper is not valid. See `cause` property for validation error');
    error.cause = originalError;
    throw error;
  }
}
export { assertValidSerializedPaper };
//# sourceMappingURL=is-serialized-paper.mjs.map
