import { isObjectType } from 'graphql';
import { FieldReturnTypeMismatch } from '../errors/field-return-type-mismatch.mjs';
var objectFieldValidator = {
  skipConnectionValue: true,
  skipNullValue: true,
  validate(_ref) {
    var {
      field,
      fieldValue
    } = _ref;
    if (isObjectType(field.type) && typeof fieldValue !== 'object') {
      throw new FieldReturnTypeMismatch({
        field: field,
        expected: 'object',
        actual: typeof fieldValue
      });
    }
  }
};
export { objectFieldValidator };
//# sourceMappingURL=object-field.mjs.map
